View Issue Details

IDProjectCategoryView StatusLast Update
0002053XdebugStep Debuggingpublic2022-01-10 11:24
ReporterLazyOne Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version3.1.1 
Summary0002053: PhpStorm incorrectly requests "GLOBALS" key in $GLOBALS array
Description

Evaluate window reports "Cannot get property" for array elements for PHP 8.1. At the same time the same steps work just fine when PHP 8.0 is used.

A bit more details can be seen in this PhpStorm ticket: https://youtrack.jetbrains.com/issue/WI-64532

Steps To Reproduce
    <?php
    declare(strict_types=1);
    class MyObject
    {
        public function __construct(public $pub, protected $prot, private $priv)
        {
        }
    }
    /** @var MyObject[] $arr */
    $arr = [
        new MyObject(1, 'first', true),
        new MyObject(2, 'second', false),
        new MyObject(3, '3rd', false),
    ];
    echo $arr[0]->pub; // breakpoint here

Try to debug the above code in PhpStorm 2021.3.

Once stopped at the breakpoint, see the content of $arr variable in the variables -- it expands the whole array just fine. Now use Evaluate window to see the same variable -- it will report "Cannot get property" for array elements (when they get expanded).

The same works with PHP 8.0 in the same environment (the same Xdebug version etc).

Additional Information

Windows 10 Pro 21H1 (OS build 19043.1415)
Xdebug 3.1.1

PHP 8.0.13 NTS x64

E:\Projects\php>E:\Projects\php\php80\php -v
PHP 8.0.13 (cli) (built: Nov 16 2021 21:59:04) ( NTS Visual C++ 2019 x64 )
Copyright (c) The PHP Group
Zend Engine v4.0.13, Copyright (c) Zend Technologies
    with Zend OPcache v8.0.13, Copyright (c), by Zend Technologies
    with Xdebug v3.1.1, Copyright (c) 2002-2021, by Derick Rethans

PHP 8.1.0 NTS x64

E:\Projects\php>E:\Projects\php\php81\php -v
PHP 8.1.0 (cli) (built: Nov 23 2021 21:46:10) (NTS Visual C++ 2019 x64)
Copyright (c) The PHP Group
Zend Engine v4.1.0, Copyright (c) Zend Technologies
    with Zend OPcache v8.1.0, Copyright (c), by Zend Technologies
    with Xdebug v3.1.1, Copyright (c) 2002-2021, by Derick Rethans
TagsNo tags attached.
Operating SystemWindows 10
PHP Version8.1.0-8.1.4

Activities

LazyOne

2021-12-16 15:39

reporter  

xdebug-php8.0.13.log (36,291 bytes)   
[10448] Log opened at 2021-12-15 20:33:21.368757
[10448] [Step Debug] INFO: Connecting to configured address/port: 127.0.0.1:9001.
[10448] [Step Debug] INFO: Connected to debugging client: 127.0.0.1:9001 (through xdebug.client_host/xdebug.client_port). :-)
[10448] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///E:/Projects/web/_idetest/test.php" language="PHP" xdebug:language_version="8.0.13" protocol_version="1.0" appid="10448" idekey="13263"><engine version="3.1.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></copyright></init>

[10448] [Step Debug] <- feature_set -i 1 -n show_hidden -v 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

[10448] [Step Debug] <- feature_set -i 2 -n max_depth -v 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

[10448] [Step Debug] <- feature_set -i 3 -n max_children -v 100
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

[10448] [Step Debug] <- feature_set -i 4 -n extended_properties -v 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>

[10448] [Step Debug] <- feature_set -i 5 -n resolved_breakpoints -v 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="resolved_breakpoints" success="1"></response>

[10448] [Step Debug] <- status -i 6
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="6" status="starting" reason="ok"></response>

[10448] [Step Debug] <- step_into -i 7
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="7" status="break" reason="ok"><xdebug:message filename="file:///E:/Projects/web/_idetest/test.php" lineno="13"></xdebug:message></response>

[10448] [Step Debug] <- breakpoint_set -i 8 -t line -f file://E:/Projects/web/_idetest/testing/phpunit/FirstTest.php -n 7
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="104480001" resolved="unresolved"></response>

[10448] [Step Debug] <- breakpoint_set -i 9 -t line -f file://E:/Projects/web/_idetest/test.php -n 18
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="9" id="104480002" resolved="resolved"></response>

[10448] [Step Debug] <- stack_get -i 10
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="{main}" level="0" type="file" filename="file:///E:/Projects/web/_idetest/test.php" lineno="13"></stack></response>

[10448] [Step Debug] <- run -i 11
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="11" status="break" reason="ok"><xdebug:message filename="file:///E:/Projects/web/_idetest/test.php" lineno="18"></xdebug:message></response>

[10448] [Step Debug] <- stack_get -i 12
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="12"><stack where="{main}" level="0" type="file" filename="file:///E:/Projects/web/_idetest/test.php" lineno="18"></stack></response>

[10448] [Step Debug] <- context_names -i 13
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="13"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[10448] [Step Debug] <- context_get -i 14 -d 0 -c 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="0"><property name="$arr" fullname="$arr" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" fullname="$arr[2]" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[10448] [Step Debug] <- context_get -i 15 -d 0 -c 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="51" page="0" pagesize="100"><property name="ALLUSERSPROFILE" fullname="$_SERVER[&quot;ALLUSERSPROFILE&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="APPDATA" fullname="$_SERVER[&quot;APPDATA&quot;]" type="string" size="31" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZw==]]></property><property name="CommonProgramFiles" fullname="$_SERVER[&quot;CommonProgramFiles&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="CommonProgramFiles(x86)" fullname="$_SERVER[&quot;CommonProgramFiles(x86)&quot;]" type="string" size="35" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXM=]]></property><property name="CommonProgramW6432" fullname="$_SERVER[&quot;CommonProgramW6432&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="COMPUTERNAME" fullname="$_SERVER[&quot;COMPUTERNAME&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="ComSpec" fullname="$_SERVER[&quot;ComSpec&quot;]" type="string" size="27" encoding="base64"><![CDATA[QzpcV0lORE9XU1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="DriverData" fullname="$_SERVER[&quot;DriverData&quot;]" type="string" size="38" encoding="base64"><![CDATA[QzpcV2luZG93c1xTeXN0ZW0zMlxEcml2ZXJzXERyaXZlckRhdGE=]]></property><property name="FPS_BROWSER_APP_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_APP_PROFILE_STRING&quot;]" type="string" size="17" encoding="base64"><![CDATA[SW50ZXJuZXQgRXhwbG9yZXI=]]></property><property name="FPS_BROWSER_USER_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_USER_PROFILE_STRING&quot;]" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="HOMEDRIVE" fullname="$_SERVER[&quot;HOMEDRIVE&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="HOMEPATH" fullname="$_SERVER[&quot;HOMEPATH&quot;]" type="string" size="13" encoding="base64"><![CDATA[XFVzZXJzXEFuZHJpeQ==]]></property><property name="IDEA_INITIAL_DIRECTORY" fullname="$_SERVER[&quot;IDEA_INITIAL_DIRECTORY&quot;]" type="string" size="39" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xKZXRCcmFpbnNcUGhwU3Rvcm1cYmlu]]></property><property name="LOCALAPPDATA" fullname="$_SERVER[&quot;LOCALAPPDATA&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcTG9jYWw=]]></property><property name="LOGONSERVER" fullname="$_SERVER[&quot;LOGONSERVER&quot;]" type="string" size="11" encoding="base64"><![CDATA[XFxCQVpaSUtPTkU=]]></property><property name="NUMBER_OF_PROCESSORS" fullname="$_SERVER[&quot;NUMBER_OF_PROCESSORS&quot;]" type="string" size="1" encoding="base64"><![CDATA[NA==]]></property><property name="OneDrive" fullname="$_SERVER[&quot;OneDrive&quot;]" type="string" size="24" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XE9uZURyaXZl]]></property><property name="OS" fullname="$_SERVER[&quot;OS&quot;]" type="string" size="10" encoding="base64"><![CDATA[V2luZG93c19OVA==]]></property><property name="Path" fullname="$_SERVER[&quot;Path&quot;]" type="string" size="950" encoding="base64"><![CDATA[RTpcUHJvamVjdHNccHl0aG9uXFNjcmlwdHNcO0U6XFByb2plY3RzXHB5dGhvblw7QzpcV0lORE9XU1xzeXN0ZW0zMjtDOlxXSU5ET1dTO0M6XFdJTkRPV1NcU3lzdGVtMzJcV2JlbTtDOlxXSU5ET1dTXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFdJTkRPV1NcU3lzdGVtMzJcT3BlblNTSFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxWTXdhcmVcVk13YXJlIFdvcmtzdGF0aW9uXGJpblw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZVw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZTY0XDtDOlxQcm9ncmFtIEZpbGVzICh4ODYpXENvbW1vbiBGaWxlc1xBY3JvbmlzXFNuYXBBUElcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcQ29tbW9uIEZpbGVzXEFjcm9uaXNcRmlsZVByb3RlY3Rvclw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xGaWxlUHJvdGVjdG9yNjRcO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxQcm9ncmFtIEZpbGVzICh4ODYpXE5WSURJQSBDb3Jwb3JhdGlvblxQaHlzWFxDb21tb247RTpcUHJvamVjdHNccGhwXHBocDtFOlxQcm9qZWN0c1xwaHA7QzpcUHJvZ3JhbURhdGFcQ29tcG9zZXJTZXR1cFxiaW47QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgVlMgQ29kZVxiaW47QzpcUHJvZ3JhbSBGaWxlc1xub2RlanNcO0M6XFByb2dyYW0gRmlsZXNcUG93ZXJTaGVsbFw3XDtDOlxVc2Vyc1xBbmRyaXlcY21kO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxVc2Vyc1xBbmRyaXlcQXBwRGF0YVxSb2FtaW5nXENvbXBvc2VyXHZlbmRvclxiaW47QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZ1xucG0=]]></property><property name="PATHEXT" fullname="$_SERVER[&quot;PATHEXT&quot;]" type="string" size="62" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M7LlBZOy5QWVc=]]></property><property name="POWERSHELL_DISTRIBUTION_CHANNEL" fullname="$_SERVER[&quot;POWERSHELL_DISTRIBUTION_CHANNEL&quot;]" type="string" size="18" encoding="base64"><![CDATA[TVNJOldpbmRvd3MgMTAgUHJv]]></property><property name="PROCESSOR_ARCHITECTURE" fullname="$_SERVER[&quot;PROCESSOR_ARCHITECTURE&quot;]" type="string" size="5" encoding="base64"><![CDATA[QU1ENjQ=]]></property><property name="PROCESSOR_IDENTIFIER" fullname="$_SERVER[&quot;PROCESSOR_IDENTIFIER&quot;]" type="string" size="50" encoding="base64"><![CDATA[SW50ZWw2NCBGYW1pbHkgNiBNb2RlbCA1OCBTdGVwcGluZyA5LCBHZW51aW5lSW50ZWw=]]></property><property name="PROCESSOR_LEVEL" fullname="$_SERVER[&quot;PROCESSOR_LEVEL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Ng==]]></property><property name="PROCESSOR_REVISION" fullname="$_SERVER[&quot;PROCESSOR_REVISION&quot;]" type="string" size="4" encoding="base64"><![CDATA[M2EwOQ==]]></property><property name="ProgramData" fullname="$_SERVER[&quot;ProgramData&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="ProgramFiles" fullname="$_SERVER[&quot;ProgramFiles&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="ProgramFiles(x86)" fullname="$_SERVER[&quot;ProgramFiles(x86)&quot;]" type="string" size="22" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KQ==]]></property><property name="ProgramW6432" fullname="$_SERVER[&quot;ProgramW6432&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="PSModulePath" fullname="$_SERVER[&quot;PSModulePath&quot;]" type="string" size="93" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xXaW5kb3dzUG93ZXJTaGVsbFxNb2R1bGVzO0M6XFdJTkRPV1Ncc3lzdGVtMzJcV2luZG93c1Bvd2VyU2hlbGxcdjEuMFxNb2R1bGVz]]></property><property name="PUBLIC" fullname="$_SERVER[&quot;PUBLIC&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcUHVibGlj]]></property><property name="SESSIONNAME" fullname="$_SERVER[&quot;SESSIONNAME&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q29uc29sZQ==]]></property><property name="SystemDrive" fullname="$_SERVER[&quot;SystemDrive&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="SystemRoot" fullname="$_SERVER[&quot;SystemRoot&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="TEMP" fullname="$_SERVER[&quot;TEMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="TMP" fullname="$_SERVER[&quot;TMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="USERDOMAIN" fullname="$_SERVER[&quot;USERDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERDOMAIN_ROAMINGPROFILE" fullname="$_SERVER[&quot;USERDOMAIN_ROAMINGPROFILE&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[QW5kcml5]]></property><property name="USERPROFILE" fullname="$_SERVER[&quot;USERPROFILE&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5]]></property><property name="windir" fullname="$_SERVER[&quot;windir&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTEzMjYz]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1639600401.3696]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1639600401]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="2"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[2]]></property></property></response>

[10448] [Step Debug] <- context_get -i 16 -d 0 -c 2
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="2"></response>

[10448] [Step Debug] <- property_get -i 17 -n $arr[0] -d 0 -c 0 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="17"><property name="$arr[0]" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[0]-&gt;pub" facet="public" type="int"><![CDATA[1]]></property><property name="prot" fullname="$arr[0]-&gt;prot" facet="protected" type="string" size="5" encoding="base64"><![CDATA[Zmlyc3Q=]]></property><property name="priv" fullname="$arr[0]-&gt;priv" facet="private" type="bool"><![CDATA[1]]></property></property></response>

[10448] [Step Debug] <- property_get -i 18 -n $arr[1] -d 0 -c 0 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="18"><property name="$arr[1]" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[1]-&gt;pub" facet="public" type="int"><![CDATA[2]]></property><property name="prot" fullname="$arr[1]-&gt;prot" facet="protected" type="string" size="6" encoding="base64"><![CDATA[c2Vjb25k]]></property><property name="priv" fullname="$arr[1]-&gt;priv" facet="private" type="bool"><![CDATA[0]]></property></property></response>

[10448] [Step Debug] <- eval -i 19 -- JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJzkxZTFlYWJmLWMyODYtNDBmNy05ODc5LWNjY2JlNzNjMjdjMCddPSRhcnI=
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="19"><property type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[10448] [Step Debug] <- context_get -i 20 -d 0 -c 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="0"><property name="$IDE_EVAL_CACHE" fullname="$IDE_EVAL_CACHE" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="91e1eabf-c286-40f7-9879-cccbe73c27c0" fullname="$IDE_EVAL_CACHE[&quot;91e1eabf-c286-40f7-9879-cccbe73c27c0&quot;]" type="array" children="1" numchildren="3"></property></property><property name="$arr" fullname="$arr" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" fullname="$arr[2]" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[10448] [Step Debug] <- context_get -i 21 -d 0 -c 1
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="51" page="0" pagesize="100"><property name="ALLUSERSPROFILE" fullname="$_SERVER[&quot;ALLUSERSPROFILE&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="APPDATA" fullname="$_SERVER[&quot;APPDATA&quot;]" type="string" size="31" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZw==]]></property><property name="CommonProgramFiles" fullname="$_SERVER[&quot;CommonProgramFiles&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="CommonProgramFiles(x86)" fullname="$_SERVER[&quot;CommonProgramFiles(x86)&quot;]" type="string" size="35" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXM=]]></property><property name="CommonProgramW6432" fullname="$_SERVER[&quot;CommonProgramW6432&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="COMPUTERNAME" fullname="$_SERVER[&quot;COMPUTERNAME&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="ComSpec" fullname="$_SERVER[&quot;ComSpec&quot;]" type="string" size="27" encoding="base64"><![CDATA[QzpcV0lORE9XU1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="DriverData" fullname="$_SERVER[&quot;DriverData&quot;]" type="string" size="38" encoding="base64"><![CDATA[QzpcV2luZG93c1xTeXN0ZW0zMlxEcml2ZXJzXERyaXZlckRhdGE=]]></property><property name="FPS_BROWSER_APP_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_APP_PROFILE_STRING&quot;]" type="string" size="17" encoding="base64"><![CDATA[SW50ZXJuZXQgRXhwbG9yZXI=]]></property><property name="FPS_BROWSER_USER_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_USER_PROFILE_STRING&quot;]" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="HOMEDRIVE" fullname="$_SERVER[&quot;HOMEDRIVE&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="HOMEPATH" fullname="$_SERVER[&quot;HOMEPATH&quot;]" type="string" size="13" encoding="base64"><![CDATA[XFVzZXJzXEFuZHJpeQ==]]></property><property name="IDEA_INITIAL_DIRECTORY" fullname="$_SERVER[&quot;IDEA_INITIAL_DIRECTORY&quot;]" type="string" size="39" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xKZXRCcmFpbnNcUGhwU3Rvcm1cYmlu]]></property><property name="LOCALAPPDATA" fullname="$_SERVER[&quot;LOCALAPPDATA&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcTG9jYWw=]]></property><property name="LOGONSERVER" fullname="$_SERVER[&quot;LOGONSERVER&quot;]" type="string" size="11" encoding="base64"><![CDATA[XFxCQVpaSUtPTkU=]]></property><property name="NUMBER_OF_PROCESSORS" fullname="$_SERVER[&quot;NUMBER_OF_PROCESSORS&quot;]" type="string" size="1" encoding="base64"><![CDATA[NA==]]></property><property name="OneDrive" fullname="$_SERVER[&quot;OneDrive&quot;]" type="string" size="24" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XE9uZURyaXZl]]></property><property name="OS" fullname="$_SERVER[&quot;OS&quot;]" type="string" size="10" encoding="base64"><![CDATA[V2luZG93c19OVA==]]></property><property name="Path" fullname="$_SERVER[&quot;Path&quot;]" type="string" size="950" encoding="base64"><![CDATA[RTpcUHJvamVjdHNccHl0aG9uXFNjcmlwdHNcO0U6XFByb2plY3RzXHB5dGhvblw7QzpcV0lORE9XU1xzeXN0ZW0zMjtDOlxXSU5ET1dTO0M6XFdJTkRPV1NcU3lzdGVtMzJcV2JlbTtDOlxXSU5ET1dTXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFdJTkRPV1NcU3lzdGVtMzJcT3BlblNTSFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxWTXdhcmVcVk13YXJlIFdvcmtzdGF0aW9uXGJpblw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZVw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZTY0XDtDOlxQcm9ncmFtIEZpbGVzICh4ODYpXENvbW1vbiBGaWxlc1xBY3JvbmlzXFNuYXBBUElcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcQ29tbW9uIEZpbGVzXEFjcm9uaXNcRmlsZVByb3RlY3Rvclw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xGaWxlUHJvdGVjdG9yNjRcO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxQcm9ncmFtIEZpbGVzICh4ODYpXE5WSURJQSBDb3Jwb3JhdGlvblxQaHlzWFxDb21tb247RTpcUHJvamVjdHNccGhwXHBocDtFOlxQcm9qZWN0c1xwaHA7QzpcUHJvZ3JhbURhdGFcQ29tcG9zZXJTZXR1cFxiaW47QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgVlMgQ29kZVxiaW47QzpcUHJvZ3JhbSBGaWxlc1xub2RlanNcO0M6XFByb2dyYW0gRmlsZXNcUG93ZXJTaGVsbFw3XDtDOlxVc2Vyc1xBbmRyaXlcY21kO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxVc2Vyc1xBbmRyaXlcQXBwRGF0YVxSb2FtaW5nXENvbXBvc2VyXHZlbmRvclxiaW47QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZ1xucG0=]]></property><property name="PATHEXT" fullname="$_SERVER[&quot;PATHEXT&quot;]" type="string" size="62" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M7LlBZOy5QWVc=]]></property><property name="POWERSHELL_DISTRIBUTION_CHANNEL" fullname="$_SERVER[&quot;POWERSHELL_DISTRIBUTION_CHANNEL&quot;]" type="string" size="18" encoding="base64"><![CDATA[TVNJOldpbmRvd3MgMTAgUHJv]]></property><property name="PROCESSOR_ARCHITECTURE" fullname="$_SERVER[&quot;PROCESSOR_ARCHITECTURE&quot;]" type="string" size="5" encoding="base64"><![CDATA[QU1ENjQ=]]></property><property name="PROCESSOR_IDENTIFIER" fullname="$_SERVER[&quot;PROCESSOR_IDENTIFIER&quot;]" type="string" size="50" encoding="base64"><![CDATA[SW50ZWw2NCBGYW1pbHkgNiBNb2RlbCA1OCBTdGVwcGluZyA5LCBHZW51aW5lSW50ZWw=]]></property><property name="PROCESSOR_LEVEL" fullname="$_SERVER[&quot;PROCESSOR_LEVEL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Ng==]]></property><property name="PROCESSOR_REVISION" fullname="$_SERVER[&quot;PROCESSOR_REVISION&quot;]" type="string" size="4" encoding="base64"><![CDATA[M2EwOQ==]]></property><property name="ProgramData" fullname="$_SERVER[&quot;ProgramData&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="ProgramFiles" fullname="$_SERVER[&quot;ProgramFiles&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="ProgramFiles(x86)" fullname="$_SERVER[&quot;ProgramFiles(x86)&quot;]" type="string" size="22" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KQ==]]></property><property name="ProgramW6432" fullname="$_SERVER[&quot;ProgramW6432&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="PSModulePath" fullname="$_SERVER[&quot;PSModulePath&quot;]" type="string" size="93" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xXaW5kb3dzUG93ZXJTaGVsbFxNb2R1bGVzO0M6XFdJTkRPV1Ncc3lzdGVtMzJcV2luZG93c1Bvd2VyU2hlbGxcdjEuMFxNb2R1bGVz]]></property><property name="PUBLIC" fullname="$_SERVER[&quot;PUBLIC&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcUHVibGlj]]></property><property name="SESSIONNAME" fullname="$_SERVER[&quot;SESSIONNAME&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q29uc29sZQ==]]></property><property name="SystemDrive" fullname="$_SERVER[&quot;SystemDrive&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="SystemRoot" fullname="$_SERVER[&quot;SystemRoot&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="TEMP" fullname="$_SERVER[&quot;TEMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="TMP" fullname="$_SERVER[&quot;TMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="USERDOMAIN" fullname="$_SERVER[&quot;USERDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERDOMAIN_ROAMINGPROFILE" fullname="$_SERVER[&quot;USERDOMAIN_ROAMINGPROFILE&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[QW5kcml5]]></property><property name="USERPROFILE" fullname="$_SERVER[&quot;USERPROFILE&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5]]></property><property name="windir" fullname="$_SERVER[&quot;windir&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTEzMjYz]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1639600401.3696]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1639600401]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="2"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[2]]></property></property><property name="$GLOBALS" fullname="$GLOBALS" type="array" children="1" numchildren="12" page="0" pagesize="100"><property name="_GET" fullname="$GLOBALS[&quot;_GET&quot;]" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$GLOBALS[&quot;_POST&quot;]" type="array" children="0" numchildren="0"></property><property name="_COOKIE" fullname="$GLOBALS[&quot;_COOKIE&quot;]" type="array" children="0" numchildren="0"></property><property name="_FILES" fullname="$GLOBALS[&quot;_FILES&quot;]" type="array" children="0" numchildren="0"></property><property name="argv" fullname="$GLOBALS[&quot;argv&quot;]" type="array" children="1" numchildren="2"></property><property name="argc" fullname="$GLOBALS[&quot;argc&quot;]" type="int"><![CDATA[2]]></property><property name="_ENV" fullname="$GLOBALS[&quot;_ENV&quot;]" type="array" children="0" numchildren="0"></property><property name="_REQUEST" fullname="$GLOBALS[&quot;_REQUEST&quot;]" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$GLOBALS[&quot;_SERVER&quot;]" type="array" children="1" numchildren="51"></property><property name="arr" fullname="$GLOBALS[&quot;arr&quot;]" type="array" children="1" numchildren="3"></property><property name="GLOBALS" fullname="$GLOBALS[&quot;GLOBALS&quot;]" type="array" children="1" recursive="1"></property><property name="IDE_EVAL_CACHE" fullname="$GLOBALS[&quot;IDE_EVAL_CACHE&quot;]" type="array" children="1" numchildren="1"></property></property></response>

[10448] [Step Debug] <- property_get -i 22 -n $arr[0] -d 0 -c 0 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="22"><property name="$arr[0]" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[0]-&gt;pub" facet="public" type="int"><![CDATA[1]]></property><property name="prot" fullname="$arr[0]-&gt;prot" facet="protected" type="string" size="5" encoding="base64"><![CDATA[Zmlyc3Q=]]></property><property name="priv" fullname="$arr[0]-&gt;priv" facet="private" type="bool"><![CDATA[1]]></property></property></response>

[10448] [Step Debug] <- property_get -i 23 -n $arr[1] -d 0 -c 0 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="23"><property name="$arr[1]" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[1]-&gt;pub" facet="public" type="int"><![CDATA[2]]></property><property name="prot" fullname="$arr[1]-&gt;prot" facet="protected" type="string" size="6" encoding="base64"><![CDATA[c2Vjb25k]]></property><property name="priv" fullname="$arr[1]-&gt;priv" facet="private" type="bool"><![CDATA[0]]></property></property></response>

[10448] [Step Debug] <- context_get -i 24 -d 0 -c 2
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="24" context="2"></response>

[10448] [Step Debug] <- property_get -i 25 -n $GLOBALS['IDE_EVAL_CACHE']['91e1eabf-c286-40f7-9879-cccbe73c27c0'][0] -d 0 -c 1 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="25"><property name="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][0]" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][0]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][0]-&gt;pub" facet="public" type="int"><![CDATA[1]]></property><property name="prot" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][0]-&gt;prot" facet="protected" type="string" size="5" encoding="base64"><![CDATA[Zmlyc3Q=]]></property><property name="priv" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][0]-&gt;priv" facet="private" type="bool"><![CDATA[1]]></property></property></response>

[10448] [Step Debug] <- property_get -i 26 -n $GLOBALS['IDE_EVAL_CACHE']['91e1eabf-c286-40f7-9879-cccbe73c27c0'][1] -d 0 -c 1 -p 0
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="26"><property name="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][1]" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][1]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][1]-&gt;pub" facet="public" type="int"><![CDATA[2]]></property><property name="prot" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][1]-&gt;prot" facet="protected" type="string" size="6" encoding="base64"><![CDATA[c2Vjb25k]]></property><property name="priv" fullname="$GLOBALS[&#39;IDE_EVAL_CACHE&#39;][&#39;91e1eabf-c286-40f7-9879-cccbe73c27c0&#39;][1]-&gt;priv" facet="private" type="bool"><![CDATA[0]]></property></property></response>

[10448] [Step Debug] <- run -i 27
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="27" status="stopping" reason="ok"></response>

[10448] [Step Debug] <- detach -i 28
[10448] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="detach" transaction_id="28" status="stopping" reason="ok"></response>

[10448] Log closed at 2021-12-15 20:33:36.385114

xdebug-php8.0.13.log (36,291 bytes)   
xdebug-php8.1.0.log (31,797 bytes)   
[14744] Log opened at 2021-12-15 20:22:21.578363
[14744] [Step Debug] INFO: Connecting to configured address/port: 127.0.0.1:9001.
[14744] [Step Debug] INFO: Connected to debugging client: 127.0.0.1:9001 (through xdebug.client_host/xdebug.client_port). :-)
[14744] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///E:/Projects/web/_idetest/test.php" language="PHP" xdebug:language_version="8.1.0" protocol_version="1.0" appid="14744" idekey="15439"><engine version="3.1.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></copyright></init>

[14744] [Step Debug] <- feature_set -i 1 -n show_hidden -v 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

[14744] [Step Debug] <- feature_set -i 2 -n max_depth -v 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

[14744] [Step Debug] <- feature_set -i 3 -n max_children -v 100
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

[14744] [Step Debug] <- feature_set -i 4 -n extended_properties -v 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>

[14744] [Step Debug] <- feature_set -i 5 -n resolved_breakpoints -v 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="resolved_breakpoints" success="1"></response>

[14744] [Step Debug] <- status -i 6
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="6" status="starting" reason="ok"></response>

[14744] [Step Debug] <- step_into -i 7
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="7" status="break" reason="ok"><xdebug:message filename="file:///E:/Projects/web/_idetest/test.php" lineno="13"></xdebug:message></response>

[14744] [Step Debug] <- breakpoint_set -i 8 -t line -f file://E:/Projects/web/_idetest/testing/phpunit/FirstTest.php -n 7
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="147440001" resolved="unresolved"></response>

[14744] [Step Debug] <- breakpoint_set -i 9 -t line -f file://E:/Projects/web/_idetest/test.php -n 18
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="9" id="147440002" resolved="resolved"></response>

[14744] [Step Debug] <- stack_get -i 10
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="{main}" level="0" type="file" filename="file:///E:/Projects/web/_idetest/test.php" lineno="13"></stack></response>

[14744] [Step Debug] <- run -i 11
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="11" status="break" reason="ok"><xdebug:message filename="file:///E:/Projects/web/_idetest/test.php" lineno="18"></xdebug:message></response>

[14744] [Step Debug] <- stack_get -i 12
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="12"><stack where="{main}" level="0" type="file" filename="file:///E:/Projects/web/_idetest/test.php" lineno="18"></stack></response>

[14744] [Step Debug] <- context_names -i 13
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="13"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[14744] [Step Debug] <- context_get -i 14 -d 0 -c 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="0"><property name="$arr" fullname="$arr" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" fullname="$arr[2]" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[14744] [Step Debug] <- context_get -i 15 -d 0 -c 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="51" page="0" pagesize="100"><property name="ALLUSERSPROFILE" fullname="$_SERVER[&quot;ALLUSERSPROFILE&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="APPDATA" fullname="$_SERVER[&quot;APPDATA&quot;]" type="string" size="31" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZw==]]></property><property name="CommonProgramFiles" fullname="$_SERVER[&quot;CommonProgramFiles&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="CommonProgramFiles(x86)" fullname="$_SERVER[&quot;CommonProgramFiles(x86)&quot;]" type="string" size="35" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXM=]]></property><property name="CommonProgramW6432" fullname="$_SERVER[&quot;CommonProgramW6432&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="COMPUTERNAME" fullname="$_SERVER[&quot;COMPUTERNAME&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="ComSpec" fullname="$_SERVER[&quot;ComSpec&quot;]" type="string" size="27" encoding="base64"><![CDATA[QzpcV0lORE9XU1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="DriverData" fullname="$_SERVER[&quot;DriverData&quot;]" type="string" size="38" encoding="base64"><![CDATA[QzpcV2luZG93c1xTeXN0ZW0zMlxEcml2ZXJzXERyaXZlckRhdGE=]]></property><property name="FPS_BROWSER_APP_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_APP_PROFILE_STRING&quot;]" type="string" size="17" encoding="base64"><![CDATA[SW50ZXJuZXQgRXhwbG9yZXI=]]></property><property name="FPS_BROWSER_USER_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_USER_PROFILE_STRING&quot;]" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="HOMEDRIVE" fullname="$_SERVER[&quot;HOMEDRIVE&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="HOMEPATH" fullname="$_SERVER[&quot;HOMEPATH&quot;]" type="string" size="13" encoding="base64"><![CDATA[XFVzZXJzXEFuZHJpeQ==]]></property><property name="IDEA_INITIAL_DIRECTORY" fullname="$_SERVER[&quot;IDEA_INITIAL_DIRECTORY&quot;]" type="string" size="39" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xKZXRCcmFpbnNcUGhwU3Rvcm1cYmlu]]></property><property name="LOCALAPPDATA" fullname="$_SERVER[&quot;LOCALAPPDATA&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcTG9jYWw=]]></property><property name="LOGONSERVER" fullname="$_SERVER[&quot;LOGONSERVER&quot;]" type="string" size="11" encoding="base64"><![CDATA[XFxCQVpaSUtPTkU=]]></property><property name="NUMBER_OF_PROCESSORS" fullname="$_SERVER[&quot;NUMBER_OF_PROCESSORS&quot;]" type="string" size="1" encoding="base64"><![CDATA[NA==]]></property><property name="OneDrive" fullname="$_SERVER[&quot;OneDrive&quot;]" type="string" size="24" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XE9uZURyaXZl]]></property><property name="OS" fullname="$_SERVER[&quot;OS&quot;]" type="string" size="10" encoding="base64"><![CDATA[V2luZG93c19OVA==]]></property><property name="Path" fullname="$_SERVER[&quot;Path&quot;]" type="string" size="950" encoding="base64"><![CDATA[RTpcUHJvamVjdHNccHl0aG9uXFNjcmlwdHNcO0U6XFByb2plY3RzXHB5dGhvblw7QzpcV0lORE9XU1xzeXN0ZW0zMjtDOlxXSU5ET1dTO0M6XFdJTkRPV1NcU3lzdGVtMzJcV2JlbTtDOlxXSU5ET1dTXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFdJTkRPV1NcU3lzdGVtMzJcT3BlblNTSFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxWTXdhcmVcVk13YXJlIFdvcmtzdGF0aW9uXGJpblw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZVw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZTY0XDtDOlxQcm9ncmFtIEZpbGVzICh4ODYpXENvbW1vbiBGaWxlc1xBY3JvbmlzXFNuYXBBUElcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcQ29tbW9uIEZpbGVzXEFjcm9uaXNcRmlsZVByb3RlY3Rvclw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xGaWxlUHJvdGVjdG9yNjRcO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxQcm9ncmFtIEZpbGVzICh4ODYpXE5WSURJQSBDb3Jwb3JhdGlvblxQaHlzWFxDb21tb247RTpcUHJvamVjdHNccGhwXHBocDtFOlxQcm9qZWN0c1xwaHA7QzpcUHJvZ3JhbURhdGFcQ29tcG9zZXJTZXR1cFxiaW47QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgVlMgQ29kZVxiaW47QzpcUHJvZ3JhbSBGaWxlc1xub2RlanNcO0M6XFByb2dyYW0gRmlsZXNcUG93ZXJTaGVsbFw3XDtDOlxVc2Vyc1xBbmRyaXlcY21kO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxVc2Vyc1xBbmRyaXlcQXBwRGF0YVxSb2FtaW5nXENvbXBvc2VyXHZlbmRvclxiaW47QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZ1xucG0=]]></property><property name="PATHEXT" fullname="$_SERVER[&quot;PATHEXT&quot;]" type="string" size="62" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M7LlBZOy5QWVc=]]></property><property name="POWERSHELL_DISTRIBUTION_CHANNEL" fullname="$_SERVER[&quot;POWERSHELL_DISTRIBUTION_CHANNEL&quot;]" type="string" size="18" encoding="base64"><![CDATA[TVNJOldpbmRvd3MgMTAgUHJv]]></property><property name="PROCESSOR_ARCHITECTURE" fullname="$_SERVER[&quot;PROCESSOR_ARCHITECTURE&quot;]" type="string" size="5" encoding="base64"><![CDATA[QU1ENjQ=]]></property><property name="PROCESSOR_IDENTIFIER" fullname="$_SERVER[&quot;PROCESSOR_IDENTIFIER&quot;]" type="string" size="50" encoding="base64"><![CDATA[SW50ZWw2NCBGYW1pbHkgNiBNb2RlbCA1OCBTdGVwcGluZyA5LCBHZW51aW5lSW50ZWw=]]></property><property name="PROCESSOR_LEVEL" fullname="$_SERVER[&quot;PROCESSOR_LEVEL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Ng==]]></property><property name="PROCESSOR_REVISION" fullname="$_SERVER[&quot;PROCESSOR_REVISION&quot;]" type="string" size="4" encoding="base64"><![CDATA[M2EwOQ==]]></property><property name="ProgramData" fullname="$_SERVER[&quot;ProgramData&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="ProgramFiles" fullname="$_SERVER[&quot;ProgramFiles&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="ProgramFiles(x86)" fullname="$_SERVER[&quot;ProgramFiles(x86)&quot;]" type="string" size="22" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KQ==]]></property><property name="ProgramW6432" fullname="$_SERVER[&quot;ProgramW6432&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="PSModulePath" fullname="$_SERVER[&quot;PSModulePath&quot;]" type="string" size="93" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xXaW5kb3dzUG93ZXJTaGVsbFxNb2R1bGVzO0M6XFdJTkRPV1Ncc3lzdGVtMzJcV2luZG93c1Bvd2VyU2hlbGxcdjEuMFxNb2R1bGVz]]></property><property name="PUBLIC" fullname="$_SERVER[&quot;PUBLIC&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcUHVibGlj]]></property><property name="SESSIONNAME" fullname="$_SERVER[&quot;SESSIONNAME&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q29uc29sZQ==]]></property><property name="SystemDrive" fullname="$_SERVER[&quot;SystemDrive&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="SystemRoot" fullname="$_SERVER[&quot;SystemRoot&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="TEMP" fullname="$_SERVER[&quot;TEMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="TMP" fullname="$_SERVER[&quot;TMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="USERDOMAIN" fullname="$_SERVER[&quot;USERDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERDOMAIN_ROAMINGPROFILE" fullname="$_SERVER[&quot;USERDOMAIN_ROAMINGPROFILE&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[QW5kcml5]]></property><property name="USERPROFILE" fullname="$_SERVER[&quot;USERPROFILE&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5]]></property><property name="windir" fullname="$_SERVER[&quot;windir&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE1NDM5]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1639599741.5786]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1639599741]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="2"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[2]]></property></property></response>

[14744] [Step Debug] <- context_get -i 16 -d 0 -c 2
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="2"></response>

[14744] [Step Debug] <- property_get -i 17 -n $arr[0] -d 0 -c 0 -p 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="17"><property name="$arr[0]" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[0]-&gt;pub" facet="public" type="int"><![CDATA[1]]></property><property name="prot" fullname="$arr[0]-&gt;prot" facet="protected" type="string" size="5" encoding="base64"><![CDATA[Zmlyc3Q=]]></property><property name="priv" fullname="$arr[0]-&gt;priv" facet="private" type="bool"><![CDATA[1]]></property></property></response>

[14744] [Step Debug] <- eval -i 18 -- JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJzVlMjk4MjQ1LTlmYzUtNDdjYy05MDA3LTJjOWU3NDNlODdjMyddPSRhcnI=
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="18"><property type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[14744] [Step Debug] <- context_get -i 19 -d 0 -c 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="0"><property name="$IDE_EVAL_CACHE" fullname="$IDE_EVAL_CACHE" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="5e298245-9fc5-47cc-9007-2c9e743e87c3" fullname="$IDE_EVAL_CACHE[&quot;5e298245-9fc5-47cc-9007-2c9e743e87c3&quot;]" type="array" children="1" numchildren="3"></property></property><property name="$arr" fullname="$arr" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="0" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="1" fullname="$arr[1]" type="object" classname="MyObject" children="1" numchildren="3"></property><property name="2" fullname="$arr[2]" type="object" classname="MyObject" children="1" numchildren="3"></property></property></response>

[14744] [Step Debug] <- context_get -i 20 -d 0 -c 1
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="51" page="0" pagesize="100"><property name="ALLUSERSPROFILE" fullname="$_SERVER[&quot;ALLUSERSPROFILE&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="APPDATA" fullname="$_SERVER[&quot;APPDATA&quot;]" type="string" size="31" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZw==]]></property><property name="CommonProgramFiles" fullname="$_SERVER[&quot;CommonProgramFiles&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="CommonProgramFiles(x86)" fullname="$_SERVER[&quot;CommonProgramFiles(x86)&quot;]" type="string" size="35" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXM=]]></property><property name="CommonProgramW6432" fullname="$_SERVER[&quot;CommonProgramW6432&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xDb21tb24gRmlsZXM=]]></property><property name="COMPUTERNAME" fullname="$_SERVER[&quot;COMPUTERNAME&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="ComSpec" fullname="$_SERVER[&quot;ComSpec&quot;]" type="string" size="27" encoding="base64"><![CDATA[QzpcV0lORE9XU1xzeXN0ZW0zMlxjbWQuZXhl]]></property><property name="DriverData" fullname="$_SERVER[&quot;DriverData&quot;]" type="string" size="38" encoding="base64"><![CDATA[QzpcV2luZG93c1xTeXN0ZW0zMlxEcml2ZXJzXERyaXZlckRhdGE=]]></property><property name="FPS_BROWSER_APP_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_APP_PROFILE_STRING&quot;]" type="string" size="17" encoding="base64"><![CDATA[SW50ZXJuZXQgRXhwbG9yZXI=]]></property><property name="FPS_BROWSER_USER_PROFILE_STRING" fullname="$_SERVER[&quot;FPS_BROWSER_USER_PROFILE_STRING&quot;]" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="HOMEDRIVE" fullname="$_SERVER[&quot;HOMEDRIVE&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="HOMEPATH" fullname="$_SERVER[&quot;HOMEPATH&quot;]" type="string" size="13" encoding="base64"><![CDATA[XFVzZXJzXEFuZHJpeQ==]]></property><property name="IDEA_INITIAL_DIRECTORY" fullname="$_SERVER[&quot;IDEA_INITIAL_DIRECTORY&quot;]" type="string" size="39" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xKZXRCcmFpbnNcUGhwU3Rvcm1cYmlu]]></property><property name="LOCALAPPDATA" fullname="$_SERVER[&quot;LOCALAPPDATA&quot;]" type="string" size="29" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcTG9jYWw=]]></property><property name="LOGONSERVER" fullname="$_SERVER[&quot;LOGONSERVER&quot;]" type="string" size="11" encoding="base64"><![CDATA[XFxCQVpaSUtPTkU=]]></property><property name="NUMBER_OF_PROCESSORS" fullname="$_SERVER[&quot;NUMBER_OF_PROCESSORS&quot;]" type="string" size="1" encoding="base64"><![CDATA[NA==]]></property><property name="OneDrive" fullname="$_SERVER[&quot;OneDrive&quot;]" type="string" size="24" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5XE9uZURyaXZl]]></property><property name="OS" fullname="$_SERVER[&quot;OS&quot;]" type="string" size="10" encoding="base64"><![CDATA[V2luZG93c19OVA==]]></property><property name="Path" fullname="$_SERVER[&quot;Path&quot;]" type="string" size="950" encoding="base64"><![CDATA[RTpcUHJvamVjdHNccHl0aG9uXFNjcmlwdHNcO0U6XFByb2plY3RzXHB5dGhvblw7QzpcV0lORE9XU1xzeXN0ZW0zMjtDOlxXSU5ET1dTO0M6XFdJTkRPV1NcU3lzdGVtMzJcV2JlbTtDOlxXSU5ET1dTXFN5c3RlbTMyXFdpbmRvd3NQb3dlclNoZWxsXHYxLjBcO0M6XFdJTkRPV1NcU3lzdGVtMzJcT3BlblNTSFw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxWTXdhcmVcVk13YXJlIFdvcmtzdGF0aW9uXGJpblw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZVw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xWaXJ0dWFsRmlsZTY0XDtDOlxQcm9ncmFtIEZpbGVzICh4ODYpXENvbW1vbiBGaWxlc1xBY3JvbmlzXFNuYXBBUElcO0M6XFByb2dyYW0gRmlsZXMgKHg4NilcQ29tbW9uIEZpbGVzXEFjcm9uaXNcRmlsZVByb3RlY3Rvclw7QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KVxDb21tb24gRmlsZXNcQWNyb25pc1xGaWxlUHJvdGVjdG9yNjRcO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxQcm9ncmFtIEZpbGVzICh4ODYpXE5WSURJQSBDb3Jwb3JhdGlvblxQaHlzWFxDb21tb247RTpcUHJvamVjdHNccGhwXHBocDtFOlxQcm9qZWN0c1xwaHA7QzpcUHJvZ3JhbURhdGFcQ29tcG9zZXJTZXR1cFxiaW47QzpcUHJvZ3JhbSBGaWxlc1xNaWNyb3NvZnQgVlMgQ29kZVxiaW47QzpcUHJvZ3JhbSBGaWxlc1xub2RlanNcO0M6XFByb2dyYW0gRmlsZXNcUG93ZXJTaGVsbFw3XDtDOlxVc2Vyc1xBbmRyaXlcY21kO0M6XFVzZXJzXEFuZHJpeVxBcHBEYXRhXExvY2FsXE1pY3Jvc29mdFxXaW5kb3dzQXBwcztDOlxVc2Vyc1xBbmRyaXlcQXBwRGF0YVxSb2FtaW5nXENvbXBvc2VyXHZlbmRvclxiaW47QzpcVXNlcnNcQW5kcml5XEFwcERhdGFcUm9hbWluZ1xucG0=]]></property><property name="PATHEXT" fullname="$_SERVER[&quot;PATHEXT&quot;]" type="string" size="62" encoding="base64"><![CDATA[LkNPTTsuRVhFOy5CQVQ7LkNNRDsuVkJTOy5WQkU7LkpTOy5KU0U7LldTRjsuV1NIOy5NU0M7LlBZOy5QWVc=]]></property><property name="POWERSHELL_DISTRIBUTION_CHANNEL" fullname="$_SERVER[&quot;POWERSHELL_DISTRIBUTION_CHANNEL&quot;]" type="string" size="18" encoding="base64"><![CDATA[TVNJOldpbmRvd3MgMTAgUHJv]]></property><property name="PROCESSOR_ARCHITECTURE" fullname="$_SERVER[&quot;PROCESSOR_ARCHITECTURE&quot;]" type="string" size="5" encoding="base64"><![CDATA[QU1ENjQ=]]></property><property name="PROCESSOR_IDENTIFIER" fullname="$_SERVER[&quot;PROCESSOR_IDENTIFIER&quot;]" type="string" size="50" encoding="base64"><![CDATA[SW50ZWw2NCBGYW1pbHkgNiBNb2RlbCA1OCBTdGVwcGluZyA5LCBHZW51aW5lSW50ZWw=]]></property><property name="PROCESSOR_LEVEL" fullname="$_SERVER[&quot;PROCESSOR_LEVEL&quot;]" type="string" size="1" encoding="base64"><![CDATA[Ng==]]></property><property name="PROCESSOR_REVISION" fullname="$_SERVER[&quot;PROCESSOR_REVISION&quot;]" type="string" size="4" encoding="base64"><![CDATA[M2EwOQ==]]></property><property name="ProgramData" fullname="$_SERVER[&quot;ProgramData&quot;]" type="string" size="14" encoding="base64"><![CDATA[QzpcUHJvZ3JhbURhdGE=]]></property><property name="ProgramFiles" fullname="$_SERVER[&quot;ProgramFiles&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="ProgramFiles(x86)" fullname="$_SERVER[&quot;ProgramFiles(x86)&quot;]" type="string" size="22" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcyAoeDg2KQ==]]></property><property name="ProgramW6432" fullname="$_SERVER[&quot;ProgramW6432&quot;]" type="string" size="16" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlcw==]]></property><property name="PSModulePath" fullname="$_SERVER[&quot;PSModulePath&quot;]" type="string" size="93" encoding="base64"><![CDATA[QzpcUHJvZ3JhbSBGaWxlc1xXaW5kb3dzUG93ZXJTaGVsbFxNb2R1bGVzO0M6XFdJTkRPV1Ncc3lzdGVtMzJcV2luZG93c1Bvd2VyU2hlbGxcdjEuMFxNb2R1bGVz]]></property><property name="PUBLIC" fullname="$_SERVER[&quot;PUBLIC&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcUHVibGlj]]></property><property name="SESSIONNAME" fullname="$_SERVER[&quot;SESSIONNAME&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q29uc29sZQ==]]></property><property name="SystemDrive" fullname="$_SERVER[&quot;SystemDrive&quot;]" type="string" size="2" encoding="base64"><![CDATA[Qzo=]]></property><property name="SystemRoot" fullname="$_SERVER[&quot;SystemRoot&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="TEMP" fullname="$_SERVER[&quot;TEMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="TMP" fullname="$_SERVER[&quot;TMP&quot;]" type="string" size="7" encoding="base64"><![CDATA[RTpcVGVtcA==]]></property><property name="USERDOMAIN" fullname="$_SERVER[&quot;USERDOMAIN&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERDOMAIN_ROAMINGPROFILE" fullname="$_SERVER[&quot;USERDOMAIN_ROAMINGPROFILE&quot;]" type="string" size="9" encoding="base64"><![CDATA[QkFaWklLT05F]]></property><property name="USERNAME" fullname="$_SERVER[&quot;USERNAME&quot;]" type="string" size="6" encoding="base64"><![CDATA[QW5kcml5]]></property><property name="USERPROFILE" fullname="$_SERVER[&quot;USERPROFILE&quot;]" type="string" size="15" encoding="base64"><![CDATA[QzpcVXNlcnNcQW5kcml5]]></property><property name="windir" fullname="$_SERVER[&quot;windir&quot;]" type="string" size="10" encoding="base64"><![CDATA[QzpcV0lORE9XUw==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE1NDM5]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="33" encoding="base64"><![CDATA[RTpcUHJvamVjdHNcd2ViXF9pZGV0ZXN0XHRlc3QucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1639599741.5786]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1639599741]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="2"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[2]]></property></property></response>

[14744] [Step Debug] <- context_get -i 21 -d 0 -c 2
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="2"></response>

[14744] [Step Debug] <- property_get -i 22 -n $arr[0] -d 0 -c 0 -p 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="22"><property name="$arr[0]" fullname="$arr[0]" type="object" classname="MyObject" children="1" numchildren="3" page="0" pagesize="100"><property name="pub" fullname="$arr[0]-&gt;pub" facet="public" type="int"><![CDATA[1]]></property><property name="prot" fullname="$arr[0]-&gt;prot" facet="protected" type="string" size="5" encoding="base64"><![CDATA[Zmlyc3Q=]]></property><property name="priv" fullname="$arr[0]-&gt;priv" facet="private" type="bool"><![CDATA[1]]></property></property></response>

[14744] [Step Debug] <- property_get -i 23 -n $GLOBALS['IDE_EVAL_CACHE']['5e298245-9fc5-47cc-9007-2c9e743e87c3'][0] -d 0 -c 1 -p 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="23" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

[14744] [Step Debug] <- property_get -i 24 -n $GLOBALS['IDE_EVAL_CACHE']['5e298245-9fc5-47cc-9007-2c9e743e87c3'][1] -d 0 -c 1 -p 0
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="24" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

[14744] [Step Debug] <- run -i 25
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="25" status="stopping" reason="ok"></response>

[14744] [Step Debug] <- detach -i 26
[14744] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="detach" transaction_id="26" status="stopping" reason="ok"></response>

[14744] Log closed at 2021-12-15 20:22:46.351811
xdebug-php8.1.0.log (31,797 bytes)   
image3.png (44,224 bytes)   
image3.png (44,224 bytes)   

derick

2022-01-10 11:24

administrator   ~0006193

I've had a look now, and this is not really a bug on the Xdebug side. PhpStorm uses the -c 1 to switch to the "Globals" context, and then accesses in this context, the GLOBALS key. The globals context in PHP 8.1 does no longer contain the GLOBALS key as per https://wiki.php.net/rfc/restrict_globals_usage#proposal:

In this case the only difference is that there will no longer be a recursive “GLOBALS” key, which currently needs to be filtered out from most uses of $GLOBALS.

What PhpStorm should have sent to Xdebug is:

<pre>
property_get -i 25 -n $IDE_EVAL_CACHE['91e1eabf-c286-40f7-9879-cccbe73c27c0'][0] -d 0 -c 1 -p 0
</pre>

Which works both in PHP 7.2 through PHP 8.1: https://github.com/xdebug/xdebug/pull/816

Issue History

Date Modified Username Field Change
2021-12-16 15:39 LazyOne New Issue
2021-12-16 15:39 LazyOne File Added: xdebug-php8.0.13.log
2021-12-16 15:39 LazyOne File Added: xdebug-php8.1.0.log
2021-12-16 15:39 LazyOne File Added: image3.png
2021-12-31 14:02 derick Summary "Cannot get property" for array elements while evaluating the array when PHP 8.1 is used => PhpStorm incorrectly requests "GLOBALS" key in $GLOBALS array
2021-12-31 14:57 derick Status new => acknowledged
2022-01-10 11:24 derick Note Added: 0006193